MeduxMedux

Document > JPG/PNG to PDF

JPG/PNG to PDF

Convert JPG or PNG images into a PDF.

POST/api/app/v1/process/asset/jpg_png_to_pdf

Examples

curl -X POST https://api.medux.io/api/app/v1/process/asset/jpg_png_to_pdf \
  -H 'Authorization: Bearer $MEDUX_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"input_file_ids":["FILE_ID"],"model_id":"jpg-png-to-pdf-default"}'

Media Samples

Approved examples for understanding request inputs, response shape, and official example output.

Official jpg png to pdf sample

This example uses jpg-png-to-pdf-default.

Sample request

Example input for this capability.

input_file_ids{file_id_list}

Sample response

Official example output for preview only. It is not a user Media Result.

Example output

Auth Requirements

Authentication is required via Authorization header.

Preconditions

Upload each source file and create file references before calling this endpoint.

Successful requests return a Medux task record immediately. Use the task query or sync endpoints to track completion.

All file inputs must be uploaded and persisted as file references before submission.

Request

Body

application/json
Authorizationstringrequired

Bearer token or API key.

Location: HEADER

input_file_idsarray<string>required

Input JPG/PNG file_id list.

Location: BODY

model_idstringoptional

Model Default: jpg-png-to-pdf-default.

Location: BODY

titlestringoptional

Optional task title.

Location: BODY

Response

Response

application/json
codeint32optional

response code enums:
.. 0: ok
.. 12: invalid input
.. 1410: invalid model
.. 1409: paid plan required
.. 1401: insufficient credits
.... 1401 ~ 1499 是 media
.. 1404: provider error
.. 1405: provider timeout
.. 13: unauthenticated
.. 16: rate limit
.. 99: server error

Available options: 0 12 1410 1409 1401 1404 1405 13 16 99

Location: RESPONSE

data.assetobjectoptional

No description provided.

Location: RESPONSE

data.paid_plan_requiredobjectoptional

No description provided.

Location: RESPONSE

data.taskobjectoptional

No description provided.

Location: RESPONSE

messagestringoptional

No description provided.

Available options: ok invalid input invalid model paid plan required insufficient credits provider error provider timeout unauthenticated rate limit server error

Location: RESPONSE

MCP Tool

This endpoint is also available through the Medux-hosted remote MCP service.

JPG/PNG to PDF

Convert JPG or PNG images into a PDF.

Invocation Example

Convert JPG or PNG images into a PDF.